server doesn't start with my plugins

Diego

New Member
i installed some plugins and when im starting the server all it says is

[ERROR] Throwing
java.lang.UnsupportedClassVersionError: plugin/main has been compiled by a more recent version of the Java Runtime (class file version 59.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_341]
at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_341]
at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_341]
at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_341]
at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_341]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:44) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.JavaPluginLoader.getClassByName(JavaPluginLoader.java:145) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:40) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:28) ~[nukkit-1.0-SNAPSHOT.jar:?]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_341]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_341]
at cn.nukkit.plugin.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:47) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugin(PluginManager.java:95) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:269) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:132) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:124) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:120) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Server.<init>(Server.java:505) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Nukkit.main(Nukkit.java:120) [nukkit-1.0-SNAPSHOT.jar:?]
12:03:22 [INFO ] Stopping other threads
 

CreeperFace

🇨🇿🇺🇦 Слава Україні!
Staff member
i installed some plugins and when im starting the server all it says is

[ERROR] Throwing
java.lang.UnsupportedClassVersionError: plugin/main has been compiled by a more recent version of the Java Runtime (class file version 59.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_341]
at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_341]
at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_341]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_341]
at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_341]
at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_341]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:44) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.JavaPluginLoader.getClassByName(JavaPluginLoader.java:145) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:40) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:28) ~[nukkit-1.0-SNAPSHOT.jar:?]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_341]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_341]
at cn.nukkit.plugin.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:47) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugin(PluginManager.java:95) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:269) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:132) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:124) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:120) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Server.<init>(Server.java:505) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Nukkit.main(Nukkit.java:120) [nukkit-1.0-SNAPSHOT.jar:?]
12:03:22 [INFO ] Stopping other threads
You compiled your plugin for java 15 but running server on java 8, so whether compile them for java 8 or run server with java 15 and higher
 
Top